### Enumeration

# Gdk Gravity

#### Declaration

    enum Gdk.Gravity

#### Description [src]

Defines the reference point of a surface and is used in `GdkPopupLayout`.

#### Members

`GDK_GRAVITY_NORTH_WEST`

  The reference point is at the top left corner.

  - Value: `1`
  - Available since: 4.0
`GDK_GRAVITY_NORTH`

  The reference point is in the middle of the top edge.

  - Value: `2`
  - Available since: 4.0
`GDK_GRAVITY_NORTH_EAST`

  The reference point is at the top right corner.

  - Value: `3`
  - Available since: 4.0
`GDK_GRAVITY_WEST`

  The reference point is at the middle of the left edge.

  - Value: `4`
  - Available since: 4.0
`GDK_GRAVITY_CENTER`

  The reference point is at the center of the surface.

  - Value: `5`
  - Available since: 4.0
`GDK_GRAVITY_EAST`

  The reference point is at the middle of the right edge.

  - Value: `6`
  - Available since: 4.0
`GDK_GRAVITY_SOUTH_WEST`

  The reference point is at the lower left corner.

  - Value: `7`
  - Available since: 4.0
`GDK_GRAVITY_SOUTH`

  The reference point is at the middle of the lower edge.

  - Value: `8`
  - Available since: 4.0
`GDK_GRAVITY_SOUTH_EAST`

  The reference point is at the lower right corner.

  - Value: `9`
  - Available since: 4.0
`GDK_GRAVITY_STATIC`

  The reference point is at the top left corner of the surface itself, ignoring window manager decorations.

  - Value: `10`
  - Available since: 4.0